e-invoicing

Compliance Network Implementation Guide

Trading partners

Learn how to manage endpoints for trading partners in your workspace.

Use Compliance Network to manage communication network endpoints for trading partners of the companies in your organization.

Add trading partner endpoint

Note: This feature is only available to workspace administrators.

A network should already exist.

  1. Go to Network.
  2. Click a "non-workspace" Network to manage.
  3. Click New endpoint.
  4. Enter required information:
    1. Enter a user friendly Name for your endpoint.
    2. Enter the SIREN number.
    3. Enter the SIRET number when registering a company branch.
    4. Enter the Code Routage to identify a specific department in your organization.
    5. Enter the Suffix identifier to create a virtual location for grouping your documents.
    6. Enter the Matricule Plateforme value to identify the PA that handles the delivery.
  5. Configure Invoices:
    1. Select Invoices.
    2. Click Add Subtype.
    3. Select all that apply.
    4. Click Save.
    5. Select a distribution method, either push or pull.
    6. Select a plugin.
  6. Configure Lifecycles:
    1. Select Lifecycles.
    2. Click Add Subtype
    3. Select all that apply.
    4. Click Save.
    5. Select a distribution method, either push or pull.
    6. Select a plugin.
  7. Click Save.

Edit trading partner endpoint

Note: This feature is only available to workspace administrators.
  1. Go to Network.
  2. Click a "non-workspace" Network to manage.
  3. Click an endpoint to manage.
  4. Click Edit.
  5. Update Invoices:
    1. Select Invoices.
    2. Add new or remove existing subtypes.
    3. Update the distribution method.
    4. Select a new plugin.
  6. Update Lifecycles:
    1. Select Lifecycles.
    2. Add new or remove existing subtypes.
    3. Update the distribution method.
    4. Select a new plugin.
  7. Click Save.

Add trading partner endpoint with Indirect Tax API

Learn how to add endpoints assigned to the workspace in Compliance Network using Indirect Tax API.

Note: This feature is only available to workspace administrators.

A network should already be available for configuration.

  1. Send a POST request to the endpoint URL
    JSON
    POST https://api-test.sovos.com/v2/configurations/workspaces/networks/{networkId}/trading-partners/endpoints
  2. Include the following headers in your request
    • Authorization: Bearer {accessToken}

    • Content-Type: application/json

    • x-correlationId: {uniqueValue}

    Important:

    The access token (Bearer token) expires after one hour. To avoid authentication errors, request a new token before the current one expires. For details, see API authentication.

  3. Include the following parameters inside the JSON payload in the request body
    Name Type Required Description
    codeComponents array Yes (at least one) Business identification codes
    field string Yes SIREN or SIRET
    value string Yes SIREN or SIRET value
    supportedDocuments array Yes (at least one) Document types and configurations
    type string Yes Invoice or Lifecycle
    subTypes array Yes Varies by type.
    • For Invoice

      • Invoice
      • CreditNote
    • For Lifecycle

      • Lifecycle
    communication object Only in certain cases Communication settings
    distributionMethod string Yes "Pull" (API) or "Push" (IaaS) integration
    formatId string Yes Format specification
    tradingPartner object Yes Trading partner info
    name string Yes Trading partner name
    businessIdentifiers array Yes Array of business identifiable info items
    type string Yes TaxId
    value string Yes SIREN or SIRET
    name string Yes Company Name
    countryCode string Yes FR

Upon successful creation, the API will return a JSON object containing status info.

Samples for adding a trading partner

Request sample

Request sample for adding a trading partner

JSON
curl --location --request POST 'https://api-test.sovos.com/v2/configurations/workspaces/networks/{networkId}/trading-partners/endpoints' \
--header 'x-correlationId: SET-TO-UNIQUE-VALUE' \
--header 'Authorization: Bearer TOKEN' \
--header 'Content-Type: application/json' \
--data-raw ' {
   "codeComponents":[
      {
         "field": SIREN / SIRET,
         "value": SIREN-OR-SIRET-VALUE
      }
   ],
   "supportedDocuments":[
      {
         "type": SIREN / SIRET,
         "subTypes": [
            "Invoice",
            "CreditNote"
         ],
         "communication": {
            "distributionMethod": Push / Pull,
            "formatId": AVAILABLE-FORMAT-NAME
         }
      }
   ],
   "tradingPartner": {
      "name": "Trading Partner Name",
      "businessIdentifiers": [
         {
            "type": "TaxId",
            "value": SIREN / SIRET,
            "name": "Company Name",
            "countryCode": "FR"
         }
      ]
   }
}'

Response sample

Response sample for adding a trading partner

JSON
{
   "status": 201,
   "message": "Created",
   "success": true,
   "timestamp": 1741968114340,
   "data":{
      "id": "f728171e-…-37bc12d9fa8c",
      "code": {
         "value": "123456789_12345678954321",
         "scheme": "0225"
      }
   }
}

Edit trading partner endpoint with Indirect Tax API

Learn how to update endpoints assigned to the workspace in Compliance Network using Indirect Tax API.

Note: This feature is only available to workspace administrators.

The endpoint should already exist.

  1. Send a PUT request to the endpoint URL
    JSON
    PUT https://api-test.sovos.com/v2/configurations/workspaces/networks/{networkId}/trading-partners/endpoints/{endpointId}
  2. Include the following headers in your request
    • Authorization: Bearer {accessToken}

    • Content-Type: application/json

    • x-correlationId: {uniqueValue}

    Important:

    The access token (Bearer token) expires after one hour. To avoid authentication errors, request a new token before the current one expires. For details, see API authentication.

  3. Include the following parameters inside the JSON payload in the request body
    Name Type Required Description
    supportedDocuments array Yes (at least one) Document types and configurations
    type string Yes Invoice or Lifecycle
    subTypes array Yes Varies by type.
    • For Invoice

      • Invoice
      • CreditNote
    • For Lifecycle

      • Lifecycle
    communication object Only in certain cases Communication settings
    distributionMethod string Yes "Pull" (API) or "Push" (IaaS) integration
    formatId string Yes Format specification
    tradingPartner object Yes Trading partner info
    name string Yes Trading partner name
    businessIdentifiers array Yes Array of business identifiable info items
    type string Yes TaxId
    value string Yes SIREN or SIRET
    name string Yes Company Name
    countryCode string Yes FR

Upon successful update, the API will return a JSON object containing status info.

Samples for updating a trading partner

Request sample

Request sample for updating a trading partner

JSON
curl --location --request PUT 'https://api-test.sovos.com/v2/configurations/workspaces/networks/{networkId}/trading-partners/endpoints/{endpointId}' \
--header 'x-correlationId: SET-TO-UNIQUE-VALUE' \
--header 'Authorization: Bearer TOKEN' \
--header 'Content-Type: application/json' \
--data-raw ' {
   "supportedDocuments":[
      {
         "type": SIREN / SIRET,
         "subTypes": [
            "Invoice",
            "CreditNote"
         ],
         "communication": {
            "distributionMethod": Push / Pull,
            "formatId": AVAILABLE-FORMAT-NAME
         }
      }
   ],
   "tradingPartner": {
      "name": "Trading Partner Name",
      "businessIdentifiers": [
         {
            "type": "TaxId",
            "value": SIREN / SIRET,
            "name": "Company Name",
            "countryCode": "FR"
         }
      ]
   }
}'

Response sample

Response sample for updating a trading partner

JSON
{
   "status":200,
   "message":"OK",
   "success":true,
   "timestamp":1741968114344
}

Get a trading partner endpoint with Indirect Tax API

Learn how to fetch partner endpoints assigned to a workspace in Compliance Network using Indirect Tax API.

Note: This feature is only available to workspace administrators.

The endpoint should already exist.

  1. Send a GET request to the endpoint URL
    JSON
    GET https://api-test.sovos.com/v2/configurations/workspaces/networks/{networkId}/trading-partners/endpoints/{endpointId}
  2. Include the following headers in your request
    • Authorization: Bearer {accessToken}

    • Content-Type: application/json

    • x-correlationId: {uniqueValue}

    Important:

    The access token (Bearer token) expires after one hour. To avoid authentication errors, request a new token before the current one expires. For details, see API authentication.

Upon successful update, the API will return a JSON object containing the endpoint configuration.

Samples for fetching a trading partner

Request sample

Request sample for fetching a trading partner

JSON
curl --location --request GET 'https://api-test.sovos.com/v2/configurations/workspaces/networks/{networkId}/trading-partners/endpoints/{endpointId}' \
--header 'x-correlationId: SET-TO-UNIQUE-VALUE' \
--header 'Authorization: Bearer TOKEN' \
--header 'Content-Type: application/json'

Response sample

Response sample for fetching a trading partner

JSON
{
   "status":200,
   "message":"OK",
   "success":true,
   "timestamp":1741968114349,
   "data":{
      "id":"7f176e1f-…-d447dc499306",
      "code":{
         "value":"999999999",
         "scheme":"0225",
         "components":[
            {
               "field":"SIREN",
               "value":"999999999"
            }
         ]
      },
      "validityPeriod":{
         "start":"2026-09-01T00:00:00.0000000Z",
         "end":"2029-09-01T00:00:00.0000000Z"
      },
      "supportedDocuments":[
         {
            "type":"Invoice",
            "subTypes":[
               "Invoice",
               "CreditNote"
            ],
            "communication":{
               "distributionMethod":"Push",
               "formatId":" FR-CIUSCII-1.0-INVOICE-1.0"
            }
         },
         {
            "type":"LifeCycles",
            "subTypes":[
               "LifeCycles"
            ],
            "communication":{
               "distributionMethod":"Push",
               "formatId":"FR-CDAR-3.0-LIFECYCLE-1.0"
            }
         }
      ],
      "tradingPartner":{
         "name":"Trading Partner Name",
         "businessIdentifiers":[
            {
               "type":"TaxId",
               "value":"999999999",
               "name":"Company Name",
               "countryCode":"FR"
            },
            {
               "type":"Gln",
               "value":"1234578912345789",
               "name":"Company Name",
               "countryCode":"FR"
            }
         ]
      }
   }
}

Delete a trading partner endpoint with Indirect Tax API

Learn how to delete partner endpoints assigned to a workspace in Compliance Network using Indirect Tax API.

Note: This feature is only available to workspace administrators.

The endpoint should already exist.

  1. Send a DELETE request to the endpoint URL
    JSON
    DELETE https://api-test.sovos.com/v2/configurations/workspaces/networks/{networkId}/trading-partners/endpoints/{endpointId}
  2. Include the following headers in your request
    • Authorization: Bearer {accessToken}

    • Content-Type: application/json

    • x-correlationId: {uniqueValue}

    Important:

    The access token (Bearer token) expires after one hour. To avoid authentication errors, request a new token before the current one expires. For details, see API authentication.

Upon successful removal, the API will return a JSON object containing status info.

Samples for removing a trading partner

Request sample

Request sample for fetching a trading partner

JSON
curl --location --request DELETE 'https://api-test.sovos.com/v2/configurations/workspaces/networks/{networkId}/trading-partners/endpoints/{endpointId}' \
--header 'x-correlationId: SET-TO-UNIQUE-VALUE' \
--header 'Authorization: Bearer TOKEN' \
--header 'Content-Type: application/json'

Response sample

Response sample for fetching a trading partner

JSON
{
   "status":200,
   "message":"OK",
   "success":true,
   "timestamp":1741968114352,
   "data":{}
}